import string, sys

# for each data set 1,2,...
while True:
   # read: x, y
   line = sys.stdin.readline().rstrip().upper();

   if (line[0]=='*'): break;

   count=0;
   for c in line:
      if c in "AEIOU":
          count += 1

   sys.stdout.write ("%d\n" % count)

